munge (0.5.14-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 05 Jun 2020 11:47:09 +0200

munge (0.5.13-2) unstable; urgency=medium

  * Update package for buster
  * Move pid file and socket under /run
  * Increase debhelper compatibility level to 11
  * Remove rc4 symlink creation in postinst
  * Bump standard version to 4.3.0 (no changes)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Tue, 12 Feb 2019 18:41:31 +0100

munge (0.5.13-1) unstable; urgency=medium

  * New upstream release
  * Change d/copyright format uri to https
  * Increase debhelper compatibility level to 10
  * Remove systemd dh addon default in compat 10
  * Add unmunge autopkgtest
  * Standard version upgraded to 4.1.1
  * Increase debhelper build dependency to version 10
  * Change package priority from extra to optional

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Wed, 08 Nov 2017 14:33:38 +0100

munge (0.5.12-2) unstable; urgency=medium

  * build-depends on libgcrypt20-dev (Closes: #864124)
  * Add dependency for lsb-base needed for the init.d script
  * Bumped Standards-Version to 3.9.8
  * Add hardening options
  * Add overrides for wrong spelling-error-in-description catch: MUNGE MUNGE
  * Set recommended permissions for {/var/lib,/etc,/var/log}/munge
    directories, thanks to Karl Kornel

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Tue, 04 Jul 2017 10:43:57 +0200

munge (0.5.12-1) unstable; urgency=medium

  * New upstream release
  * Bumped Standards-Version to 3.9.7
  * New homepage in d/control
  * Use https uri for Vcs-Browser and Vcs-Git in d/control
  * Update d/copyright
  * New watch file pointing to github
  * Increase debhelper compatibility level
  * Seek libs under architecture triplet subdir
  * Remove dh-autoreconf, po-debconf, dpkg-dev build dependencies

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Thu, 03 Mar 2016 22:14:32 +0100

munge (0.5.11-3) unstable; urgency=medium

  * init script return 0 when the package is removed but not purged
    thanks to Jan Braun (Closes: #788785)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Tue, 23 Jun 2015 14:51:59 +0200

munge (0.5.11-2) unstable; urgency=medium

  [ Rémi Palancher <remi@rezib.org>]
  * Add dh-systemd in Build-Dep
  * Add dh_systemd_{enable,start} in d/rules (Closes: #783661)
  * Package development under collab-maint git

  [ Gennaro Oliva ]
  * Remove lintian override for wrongly detected spelling error
  * Remove absolute path to create-munge-key in postinst script
  * Bumped Standards-Version to 3.9.6

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Tue, 26 May 2015 18:36:52 +0200

munge (0.5.11-1.1) unstable; urgency=medium

  [ Rémi Palancher <remi@rezib.org>]
  * Non-maintainer upload.
  * Fix post-installation by generating new key in case none existed
    previously. (Closes: #753643)
  * Updated README.Debian with instructions for key management
  * Bumped Standards-Version to 3.9.5

  [ Ana Beatriz Guerrero Lopez ]
  * Use dh-autoreconf to fix FTBFS on ppc64el. (Closes: #734568)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 17 Sep 2014 23:21:01 +0200

munge (0.5.11-1) unstable; urgency=low

  * New upstream release (Closes: #727467)
  * Standard version upgraded to 3.9.4.0 (no changes)
  * Removed "After=syslog.target" from the syslogd file
  * Usage of dpkg-buildflags for CPPFLAGS and LDFLAGS
  * Explicit copy of tmpfiles and pkgconfig files to avoid makefile target
    directory checks

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Fri, 01 Nov 2013 12:16:59 +0100

munge (0.5.10-1) unstable; urgency=low

  * New upstream release 
  * Updated copyright, homepage, watch thanks to Chris Dunlap
  * Standards version upgraded to 3.9.1.0 (no changes) 
  * Switch to dpkg-source 3.0 (quilt) format
  * Added explicit dependency by the same version of libmunge for munge

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Mon, 28 Feb 2011 20:41:12 +0100

munge (0.5.9-2) unstable; urgency=low

  * Update some licensing info, and documentation files thanks to Chris
    Dunlap

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Thu, 25 Mar 2010 14:16:47 +0100

munge (0.5.9-1) unstable; urgency=low

  * New upstreal release 

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Thu, 25 Mar 2010 00:06:51 +0100

munge (0.5.8-12) unstable; urgency=low

  * Macros and shell scripts from libtool 3.2.6b-2 added in the config
    directory; AM_PROG_CC_C_O added in configure.ac ; new
    Makefile.in and aclocal.m4 generated (Closes: #558574)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Mon, 08 Feb 2010 20:23:25 +0100

munge (0.5.8-11) unstable; urgency=low

  * Added missingok to logrotate

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Wed, 14 Oct 2009 19:26:24 +0200

munge (0.5.8-10) unstable; urgency=low

  * In the init script the runlevel 2 was moved from Default-Stop
    to Default-Start, $named was moved from Required-{Start,Stop} to
    Should-{Start,Stop}, $remote_fs was added in Required-{Start,Stop},
    $local_fs was removed from Should-{Start,Stop} (Closes: #541238) 
  * Updated upstream config.{sub,guess} under the config directory
    (Closes: #537469)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Sun, 27 Sep 2009 22:19:07 +0200

munge (0.5.8-9) unstable; urgency=low

  * Updated config.{sub,guess} files to build on AVR32 (Closes: #536114) 

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Thu, 16 Jul 2009 12:06:09 +0200

munge (0.5.8-8) unstable; urgency=low

  * Added -D_GNU_SOURCE to CFLAGS in rules to fix missing ucred
    struct, thanks to Peter Green (Closes: #526556)
  * debhelper compatibility version switched from 4 to 7
  * standard version updated from 3.7.3.0 to 3.8.1
  * added Homepage field to the control file and removed from description
  * absolute path for deluser in postrm removed
  * var/run/munge removed by dirs file
  * pidfile directory created by the init script
  * useless preinst script removed
  * symbols control file for package libmunge2 created
  * file libmunge-dev.docs created
  * install files for libmunge2 libmunge-dev munge created

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Tue, 05 May 2009 09:57:25 +0200

munge (0.5.8-7) unstable; urgency=low

  * Corrected a bashism in the create-munge-key script (Closes: #465009)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Wed, 05 Mar 2008 12:57:54 +0100

munge (0.5.8-6) unstable; urgency=low

  * Added support for uscan (Closes: #454320) thanks to Manuel Prinz

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Mon, 14 Jan 2008 17:08:15 +0100

munge (0.5.8-5) unstable; urgency=low

  * Adduser moved from preinst to postinst
  * Check deluser existence in postrm (closes: #431530)
  * Change the description of libmunge2 libmunge-dev using MUNGE
    (all-caps) when referring to the service as a whole
  * Added homepage in packages libmunge2 libmunge-dev description

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Tue, 03 Jul 2007 12:51:13 +0200

munge (0.5.8-4) unstable; urgency=low

  * Double service stop when upgrading solved
  * Added homepage in package description

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Sun, 17 Jun 2007 11:00:05 +0200

munge (0.5.8-3) unstable; urgency=low

  * logrotate script modifyed to direct output from init script to /dev/null

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Mon, 04 Jun 2007 16:40:58 +0200

munge (0.5.8-2) unstable; urgency=low

  * Copyright file updated with Todd C. Miller and FSF copyrights

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Sun, 20 May 2007 14:50:31 +0200

munge (0.5.8-1) unstable; urgency=low

  [ Dirk Eddelbuettel ]
  * New upstream release
  * debian/control: Added Dirk Eddelbuettel as Uploaders:
  * debian/control, debian/templates: Minor rewording
  * debian/postinst: Use /dev/urandom

  [ Gennaro Oliva ]
  * debconf munge.key creation removed
  * Added create-munge-key script for key creation
  * Added create-munge-key.8 manual page
  * Added lsb functions to log init script actions
  * Added function check-key to the init script invoked on start and restart

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Thu, 22 Mar 2007 09:18:08 +0100

munge (0.5.6-2) unstable; urgency=low

  * Added Chris Dunlap suggestions:
    /etc/munge postinst permissions
    /var/lib/munge postinst permissions, postrm removal and inclusion in dirs
    /var/log/munge postrm removal
    Readme.Debian rewritten

  * munge.dirs contains only munge specific dirs
  * logrotate script added
  * service stopped twice in postrm removed

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Thu, 30 Nov 2006 15:45:16 +0100

munge (0.5.6-1) unstable; urgency=low

  * New upstream version available

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Wed, 29 Nov 2006 10:49:53 +0100

munge (0.5.5) unstable; urgency=low

  * New upstream version available 

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Wed, 22 Nov 2006 17:36:08 +0100

munge (0.5.4-1) unstable; urgency=low

  * New upstream version available 

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Thu, 28 Sep 2006 10:23:35 +0200

munge (0.5.3-1) unstable; urgency=low

  * Added debconf munge.key creation
  * Created README.Debian with istruction for manual key creation
  * Packaging binaries and libraries separately
  * Description clarified
  * Key Creation with /dev/random
  * Custom init script eliminates non-debian instructions by the upstream
  * zlib1g-dev and libbz2-dev added to build dependencies
  * munge dependency by libmunge2 modified
  * libmunge2-dev package renamed to libmunge-dev
  * Creation of the specific munge user for running the daemon
  * Prerm script now stop the daemon
  * Preinst script add the munge user

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Thu, 14 Sep 2006 12:41:13 +0200

munge (0.5-1) unstable; urgency=low

  * Initial release Closes: #360909

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Tue, 14 Mar 2006 22:25:03 +0100
munge (0.5.8-9) unstable; urgency=low

  * Updated config.{sub,guess} files to build on AVR32 (Closes: #536114) 

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Thu, 16 Jul 2009 11:52:33 +0200

munge (0.5.8-8) unstable; urgency=low

  * Added -D_GNU_SOURCE to CFLAGS in rules to fix missing ucred
    struct, thanks to Peter Green (Closes: #526556)
  * debhelper compatibility version switched from 4 to 7
  * standard version updated from 3.7.3.0 to 3.8.1
  * added Homepage field to the control file and removed from description
  * absolute path for deluser in postrm removed
  * var/run/munge removed by dirs file
  * pidfile directory created by the init script
  * useless preinst script removed
  * symbols control file for package libmunge2 created
  * file libmunge-dev.docs created
  * install files for libmunge2 libmunge-dev munge created

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Tue, 05 May 2009 09:57:25 +0200

munge (0.5.8-7) unstable; urgency=low

  * Corrected a bashism in the create-munge-key script (Closes: #465009)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Wed, 05 Mar 2008 12:57:54 +0100

munge (0.5.8-6) unstable; urgency=low

  * Added support for uscan (Closes: #454320) thanks to Manuel Prinz

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Mon, 14 Jan 2008 17:08:15 +0100

munge (0.5.8-5) unstable; urgency=low

  * Adduser moved from preinst to postinst
  * Check deluser existence in postrm (closes: #431530)
  * Change the description of libmunge2 libmunge-dev using MUNGE
    (all-caps) when referring to the service as a whole
  * Added homepage in packages libmunge2 libmunge-dev description

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Tue, 03 Jul 2007 12:51:13 +0200

munge (0.5.8-4) unstable; urgency=low

  * Double service stop when upgrading solved
  * Added homepage in package description

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Sun, 17 Jun 2007 11:00:05 +0200

munge (0.5.8-3) unstable; urgency=low

  * logrotate script modifyed to direct output from init script to /dev/null

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Mon, 04 Jun 2007 16:40:58 +0200

munge (0.5.8-2) unstable; urgency=low

  * Copyright file updated with Todd C. Miller and FSF copyrights

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Sun, 20 May 2007 14:50:31 +0200

munge (0.5.8-1) unstable; urgency=low

  [ Dirk Eddelbuettel ]
  * New upstream release
  * debian/control: Added Dirk Eddelbuettel as Uploaders:
  * debian/control, debian/templates: Minor rewording
  * debian/postinst: Use /dev/urandom

  [ Gennaro Oliva ]
  * debconf munge.key creation removed
  * Added create-munge-key script for key creation
  * Added create-munge-key.8 manual page
  * Added lsb functions to log init script actions
  * Added function check-key to the init script invoked on start and restart

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Thu, 22 Mar 2007 09:18:08 +0100

munge (0.5.6-2) unstable; urgency=low

  * Added Chris Dunlap suggestions:
    /etc/munge postinst permissions
    /var/lib/munge postinst permissions, postrm removal and inclusion in dirs
    /var/log/munge postrm removal
    Readme.Debian rewritten

  * munge.dirs contains only munge specific dirs
  * logrotate script added
  * service stopped twice in postrm removed

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Thu, 30 Nov 2006 15:45:16 +0100

munge (0.5.6-1) unstable; urgency=low

  * New upstream version available

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Wed, 29 Nov 2006 10:49:53 +0100

munge (0.5.5) unstable; urgency=low

  * New upstream version available 

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Wed, 22 Nov 2006 17:36:08 +0100

munge (0.5.4-1) unstable; urgency=low

  * New upstream version available 

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Thu, 28 Sep 2006 10:23:35 +0200

munge (0.5.3-1) unstable; urgency=low

  * Added debconf munge.key creation
  * Created README.Debian with istruction for manual key creation
  * Packaging binaries and libraries separately
  * Description clarified
  * Key Creation with /dev/random
  * Custom init script eliminates non-debian instructions by the upstream
  * zlib1g-dev and libbz2-dev added to build dependencies
  * munge dependency by libmunge2 modified
  * libmunge2-dev package renamed to libmunge-dev
  * Creation of the specific munge user for running the daemon
  * Prerm script now stop the daemon
  * Preinst script add the munge user

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Thu, 14 Sep 2006 12:41:13 +0200

munge (0.5-1) unstable; urgency=low

  * Initial release Closes: #360909

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Tue, 14 Mar 2006 22:25:03 +0100
